Unfortunately, this feature is not supported on mobile devices. For the best experience, please use a computer.

project44 REST API (4.0.0)

Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.

Download OpenAPI description
Languages
Servers
NA - Endpoint for project44 tenants created in the NA region
https://na12.api.project44.com/
EU - Endpoint for project44 tenants created in the EU region
https://eu12.api.project44.com/
Sandbox - Endpoint for project44 tenants created in the sandbox environment
https://na12.api.sandbox.p-44.com/

OAuth 2.0: Client Applications

API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.

Operations

OAuth 2.0: Token Generation

API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).

Operations

Shipment: Tracking

...

Operations

Filter Suggestions

...

Operations

Shipment Attributes

...

Operations

Shipment: Loads

...

Operations

Order Visibility

...

Operations

LTL: Quotes

...

Operations

LTL: Dispatch

...

Operations

LTL: Image Retrieval

...

Operations

LTL: Electronic BOL

API used for creating Electronic BOL

Operations

VLTL: Quotes

...

Operations

VLTL: Dispatch

...

Operations

TL: Available Vehicles

...

Operations

TL: Connected Capacity

...

Operations

Asset Tracking

...

Operations

Multi-Modal: Image Retrieval

...

Operations

Multi-Modal: Rating

API used for multi-modal Rating.

Operations

Multi-Modal: Booking

API used for multi-modal Booking.

Operations

Multi-Modal: Packaging

API used for managing packages for shipment planning.

Operations

Multi-Modal: Document

...

Operations

Webhook

...

Operations

Shipment Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for shipments.

Operations

Inventory Order and Load Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for orders and loads.

Operations

Capacity Provider Metadata

...

Operations

Capacity Provider Contact Management

...

Operations

Capacity Provider Account Management

...

Operations

Capacity Provider Account Group Management

...

Operations

LTL: Push Tracking

...

Operations

LTL: Push Imaging

...

Operations

TL: Capacity Provider Push

...

Operations

Parcel: Push Tracking

...

Operations

Universal Push: Truckload

...

Operations

Push Updates

...

Operations

Analytics: Port Intelligence

...

Operations

Stop Location Management

...

Operations

Postal Address Validation

...

Operations

Appointments

Create, reschedule, cancel, fetch appointments in Yard Management Systems(YMS)

Operations

Capacity

Get capacity for a YMS site within the specified time range

Operations

Milestones

Update yard milestones for a shipment

Operations

Reason Codes

Retrieve all reason codes for the specified YMS site

Operations

Site Codes

Retrieve all sites for the specified YMS tenant

Operations

Slots

Get available slots for a shipment in Yard Management Systems(YMS)

Operations

Invitations

...

Operations

Ocean: Point-to-Point Schedules

...

Operations

LTL: Tracking

...

Operations

TL: Tracking

...

Operations

TL: Webhook

...

Operations

Parcel: Tracking

...

Operations

Parcel: Webhook

...

Operations

Rail: Tracking

...

Operations

Ocean: Tracking

...

Operations

Create a tracked ocean shipment from a container id or vessel id.

Request

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
Bodyrequired
attributesArray of objects(OceanAttribute)[ 0 .. 25 ] items

${OceanShipment.v4.apiModel.attributes.value}

carrierSCACCodestringnon-empty

${OceanShipment.v4.apiModel.carrierSCACCode.value}

equipmentIdentifierobject(OceanEquipmentIdentifier)

${OceanShipment.v4.apiModel.equipmentIdentifier.value}

masterShipmentIdstring(uuid)

${OceanShipment.v4.apiModel.masterShipmentId.value}

oceanLegIdstring(uuid)

${OceanShipment.v4.apiModel.oceanLegId.value}

shipmentIdentifiersArray of objects(OceanShipmentIdentifier)

${OceanShipment.v4.apiModel.shipmentIdentifiers.value}

curl -i -X POST \
  'https://na12.api.project44.com/api/v4/ocean/shipments?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "attributes": [
      {
        "name": "string",
        "value": "string",
        "values": [
          "string"
        ]
      }
    ],
    "carrierSCACCode": "string",
    "equipmentIdentifier": {
      "type": "CONTAINER_ID",
      "value": "string"
    },
    "masterShipmentId": "2e04ec4a-749a-4ef4-a452-b7dc8cca16aa",
    "oceanLegId": "fb86bc46-1c8b-49c4-b28c-fcebe681d76f",
    "shipmentIdentifiers": [
      {
        "type": "BILL_OF_LADING",
        "value": "string"
      }
    ]
  }'

Responses

Created

Body
infoMessagesArray of objects(Message)

${OceanShipmentConfirmation.v4.apiModel.infoMessages.value}

shipmentobject(OceanShipment)
Response
{ "infoMessages": [ {} ], "shipment": { "attributes": [], "carrierSCACCode": "string", "equipmentIdentifier": {}, "masterShipmentId": "2e04ec4a-749a-4ef4-a452-b7dc8cca16aa", "oceanLegId": "fb86bc46-1c8b-49c4-b28c-fcebe681d76f", "shipmentIdentifiers": [] } }

Delete shipment by project44 id.

Request

Path
idstring(uuid)required

The project44-generated shipmentId or oceanLegId associated with this shipment.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
curl -i -X DELETE \
  'https://na12.api.project44.com/api/v4/ocean/shipments/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

No Content

Get shipment statuses by project44 id.

Request

Path
idstring(uuid)required

The project44-generated shipmentId or oceanLegId associated with this shipment.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
includePositionDataboolean

Determines whether the history of the container's position over water should be included in the response.

Default false
includeCustomAttributesboolean

Determines whether the custom shipment attributes should be included in the response.

Default false
includeMapUrlboolean

If this value is set to true, the response payload will contain a public link to view the shipment in the VOC

Default false
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/ocean/shipments/{id}/statuses?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&includeCustomAttributes=false&includeMapUrl=false&includePositionData=false&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Body
infoMessagesArray of objects(Message)

${OceanShipmentConfirmation.v4.apiModel.infoMessages.value}

trackedShipmentobject(OceanTrackedShipment)

${OceanTrackedShipmentConfirmation.v4.apiModel.trackedShipment.value}

Response
{ "infoMessages": [ {} ], "trackedShipment": { "attributes": [], "carrierSCACCode": "string", "containerDetails": {}, "equipmentIdentifier": {}, "events": [], "masterShipmentId": "2e04ec4a-749a-4ef4-a452-b7dc8cca16aa", "mapUrl": "string", "oceanLegId": "fb86bc46-1c8b-49c4-b28c-fcebe681d76f", "positions": [], "shipmentIdentifiers": [], "stops": [], "states": [], "vessels": [] } }